Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.report
Class ResolveReport

    java.lang.Object
      fr.jayasoft.ivy.report.ResolveReport

public class ResolveReport
extends java.lang.Object

Represents a whole resolution report for a module

Constructor Summary
`ResolveReport(ModuleDescriptor md)`

Method Summary
`void` | `addReport(java.lang.String conf, ConfigurationResolveReport report)`
`ConfigurationResolveReport` | `getConfigurationReport(java.lang.String conf)`
`java.lang.String[]` | `getConfigurations()`
`IvyNode[]` | `getEvictedNodes()`
`ArtifactDownloadReport[]` | `getFailedArtifactsReports()`
`ModuleDescriptor` | `getModuleDescriptor()`
`IvyNode[]` | `getUnresolvedDependencies()`
`boolean` | `hasChanged()`
`boolean` | `hasError()`
`void` | `output(ReportOutputter[] outputters, java.io.File cache)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveReport

    public ResolveReport(ModuleDescriptor md)

Method Detail

### addReport

    public void addReport(java.lang.String conf,
                          ConfigurationResolveReport report)

### getConfigurationReport

    public ConfigurationResolveReport getConfigurationReport(java.lang.String conf)

### getConfigurations

    public java.lang.String[] getConfigurations()

### hasError

    public boolean hasError()

### output

    public void output(ReportOutputter[] outputters,
                       java.io.File cache)

### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()

### getEvictedNodes

    public IvyNode[] getEvictedNodes()

### getUnresolvedDependencies

    public IvyNode[] getUnresolvedDependencies()

### getFailedArtifactsReports

    public ArtifactDownloadReport[] getFailedArtifactsReports()

### hasChanged

    public boolean hasChanged()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD